Bug 237928 - Error in post uninstall script
Summary: Error in post uninstall script
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alexander Kurtakov
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On: 237927
Blocks: 237929
TreeView+ depends on / blocked
 
Reported: 2007-04-26 06:17 UTC by Ben Konrath
Modified: 2013-03-11 19:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 19:46:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Konrath 2007-04-26 06:17:16 UTC
+++ This bug was initially created as a clone of Bug #224588 +++

During an automated install/deinstall check the following error has happened:

ERROR: Output running post uninstall script for package
eclipse-sdk-1:3.2.1-30.fc7.i386
ls: cannot access /usr/lib/eclipse/features: No such file or directory

Checking whether the directory exists before doing an ls on it should fix the
problem.

postuninstall scriptlet (using /bin/sh):
if [ -x /usr/bin/rebuild-gcj-db ]
then
  /usr/bin/rebuild-gcj-db
fi
# Only set the product back to platform.ide if the sdk is actually removed for
# this arch.  This SDKDIR check is to deal with the ordering of new %post
# before old %postun
if [ -d /usr/lib/eclipse/features]; then
  SDKDIR=$(ls /usr/lib/eclipse/features | grep "org\.eclipse\.sdk_")
else
  SDKDIR=""
fi
if [ -z "$SDKDIR" -a -f /usr/lib/eclipse/configuration/config.ini ]; then
  sed --in-place
"s/[#]*eclipse.product=.*/eclipse.product=org.eclipse.platform.ide/" \
    /usr/lib/eclipse/configuration/config.ini
fi

-- Additional comment from bkonrath@redhat.com on 2007-01-26 13:24 EST --
Looks good. Feel free to commit.

-- Additional comment from bkonrath@redhat.com on 2007-01-29 22:40 EST --
This is fixed in rawhide (3.2.1-33.fc7). Thanks.

-- Additional comment from bkonrath@redhat.com on 2007-02-21 16:54 EST --
A fix for this will also be in the upcoming 3.2.2-1.fc6 update. Thanks.

Comment 1 Ben Konrath 2007-04-27 05:07:37 UTC
Test for Fix:

1) install eclipse-sdk
2) remove eclipse-rcp, libswt3-gtk2 and eclispe-ecj and ensure that there is not 
   an error in the post uninstall script

Comment 2 RHEL Product and Program Management 2007-12-03 20:42:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 3 Alexander Kurtakov 2013-03-11 19:46:41 UTC
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on. Please use Eclipse from RHEL 6 if you need newer Eclipse version.


Note You need to log in before you can comment on or make changes to this bug.